from sqlalchemy import Column, TIMESTAMP, VARCHAR, TIME,create_engine
from sqlalchemy_utils import UUIDType
from sqlalchemy.ext.declarative import declarative_base

Base = declarative_base()

class TaskParameters(Base):
    __tablename__ = "task_parameters"

    uuid = Column(UUIDType,primary_key=True)
    type = Column(VARCHAR(50))
    name = Column(VARCHAR(50))
    value = Column(TIME)
    created_at = Column(TIMESTAMP,server_default=sa.func.current_timestamp())
    updated_at = Column(TIMESTAMP,onupdate=sa.func.current_timestamp())

if __name__ == "__main__":
    engine = create_engine("sqlalchemy.url")
    Base.metadata.create_all(bind=engine)